summaryrefslogtreecommitdiffstats
path: root/perl/perl-extutils-depends
diff options
context:
space:
mode:
author Robby Workman2011-03-16 07:18:10 +0100
committer Robby Workman2011-03-20 18:32:34 +0100
commit93ba4df5022a8c4d422dd97a2a13ffa8a8946453 (patch)
treeea69c40d48150458e051a851cdf77e722c9118e2 /perl/perl-extutils-depends
parent6a511b1c665a1f7efecadaa3447af889b1dcba58 (diff)
downloadslackbuilds-93ba4df5022a8c4d422dd97a2a13ffa8a8946453.tar.gz
perl/*: Moved all of the Perl modules to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-extutils-depends')
-rw-r--r--perl/perl-extutils-depends/README6
-rw-r--r--perl/perl-extutils-depends/perl-extutils-depends.SlackBuild78
-rw-r--r--perl/perl-extutils-depends/perl-extutils-depends.info10
-rw-r--r--perl/perl-extutils-depends/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/perl/perl-extutils-depends/README b/perl/perl-extutils-depends/README
new file mode 100644
index 0000000000..eb5930e54a
--- /dev/null
+++ b/perl/perl-extutils-depends/README
@@ -0,0 +1,6 @@
+ExtUtils::Depends (perl module)
+
+This module tries to make it easy to build Perl extensions that use
+functions and typemaps provided by other perl extensions. This means
+that a perl extension is treated like a shared library that provides
+also a C and an XS interface besides the perl one.
diff --git a/perl/perl-extutils-depends/perl-extutils-depends.SlackBuild b/perl/perl-extutils-depends/perl-extutils-depends.SlackBuild
new file mode 100644
index 0000000000..3c0ec0587e
--- /dev/null
+++ b/perl/perl-extutils-depends/perl-extutils-depends.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for perl-extutils-depends
+
+# (C) 2007 Michael Wagner <lapinours@web.de>
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-extutils-depends
+VERSION=${VERSION:-0.302}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=ExtUtils-Depends
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL || exit 1
+make
+make install INSTALLDIRS=vendor DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+
+# Remove perlocal.pod and .packlist from $PKG
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-extutils-depends/perl-extutils-depends.info b/perl/perl-extutils-depends/perl-extutils-depends.info
new file mode 100644
index 0000000000..6eb2961fa6
--- /dev/null
+++ b/perl/perl-extutils-depends/perl-extutils-depends.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-extutils-depends"
+VERSION="0.302"
+HOMEPAGE="http://search.cpan.org/dist/ExtUtils-Depends/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/ExtUtils-Depends-0.302.tar.gz"
+MD5SUM="db46426f0599668da95c21b53b532508"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"
diff --git a/perl/perl-extutils-depends/slack-desc b/perl/perl-extutils-depends/slack-desc
new file mode 100644
index 0000000000..be98ca91bb
--- /dev/null
+++ b/perl/perl-extutils-depends/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-extutils-depends: ExtUtils::Depends (perl module)
+perl-extutils-depends:
+perl-extutils-depends: This module tries to make it easy to build Perl extensions that use
+perl-extutils-depends: functions and typemaps provided by other perl extensions. This means
+perl-extutils-depends: that a perl extension is treated like a shared library that provides a
+perl-extutils-depends: C and an XS interface besides the perl one.
+perl-extutils-depends:
+perl-extutils-depends: Homepage: http://search.cpan.org/dist/ExtUtils-Depends/
+perl-extutils-depends:
+perl-extutils-depends:
+perl-extutils-depends: